from rest_framework import serializers
from tickets.models import Ticket

class TicketSerializer(serializers.ModelSerializer):
    available_statuses = serializers.SerializerMethodField()


    def get_available_statuses(self, obj):
        return obj.get_available_statuses()


    def validate_status(self, status):
        valid_statuses = self.get_available_statuses(self.instance)
        if not valid_statuses or status not in valid_statuses:
            raise serializers.ValidationError("Invalid value for the status field")
        return status


    def validate_assignin(self, value):
        if not isinstance(value, (int, str)):
            raise serializers.ValidationError("Некорректный тип данных для 'assigned_to'.")
        if isinstance(value, str) and value not in ["anyone"]:
            raise serializers.ValidationError("Некорректное значение для 'assigned_to'.")
        return value


    class Meta():
        model = Ticket
        fields = "__all__"
        ref_name = "TicketSerializer_v2"

