from django.urls import path, include
from rest_framework import routers

from dbsynce.apiviews import *
import dbsynce.api.v2.views as apiviews_2

router = routers.DefaultRouter()
router.register(r'client', ClientMVS)
router.register(r'company', CompanyMVS)
router.register(r'documents', DocumentsMVS)
router.register(r'orders', OrdersMVS)
router.register(r'permissions', PermissionsMVS)
router.register(r'provider', ProviderMVS)
router.register(r'relationship', RelationshipMVS)
router.register(r'resource', ResourceMVS)
router.register(r'service', ServiceMVS)
router.register(r'service_category', ServiceCategoryMVS)

urlpatterns_api_v2 = [
    path('ticket/<int:pk>', apiviews_2.TicketUpdateAPIView.as_view()),
    path('ticket/', apiviews_2.TicketListAPIView.as_view()),
]

urlpatterns = [
    path('api/', include(router.urls), name="dbsynced"),
    path('api/v2/', include(urlpatterns_api_v2))
]
